Bug 509183 - update nss dependency >= 3.12.3.99
update nss dependency >= 3.12.3.99
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Other (Show other bugs)
unspecified
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-07-01 13:01 EDT by Chandrasekar Kannan
Modified: 2015-01-04 18:39 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:37:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update NSS dependencies . . . (dogtag) (6.84 KB, patch)
2009-07-06 14:52 EDT, Matthew Harmsen
no flags Details | Diff

  None (edit)
Description Chandrasekar Kannan 2009-07-01 13:01:17 EDT
update nss dependency to be greater than 3.12.3 ..
Comment 1 Matthew Harmsen 2009-07-06 14:52:58 EDT
Created attachment 350661 [details]
Update NSS dependencies . . . (dogtag)
Comment 3 Matthew Harmsen 2009-07-06 14:54:46 EDT
Also, the JSS spec file MUST be updated to require the following:

BuildRequires:  nss-devel >= 3.12.3.99
Requires:       nss >= 3.12.3.99
Comment 4 Matthew Harmsen 2009-07-06 14:57:25 EDT
NOTE:  This requires NSS 3.12.3.99 packages to be built for Fedora 8 because
       Dogtag is still tied to FC8, FC9, and FC10 --- these will be made available
       from the Dogtag PKI repository for FC8.
Comment 5 Jack Magne 2009-07-06 16:59:14 EDT
Attachment (id=350661) +jmagne
Comment 7 Matthew Harmsen 2009-07-06 17:11:56 EDT
cd pki/dogtag

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      osutil/osutil.spec
M      symkey/symkey.spec
M      native-tools/pki-native-tools.spec
M      tps/pki-tps.spec

% svn commit
Sending        dogtag/native-tools/pki-native-tools.spec
Sending        dogtag/osutil/osutil.spec
Sending        dogtag/symkey/symkey.spec
Sending        dogtag/tps/pki-tps.spec
Transmitting file data ....
Committed revision 676.
Comment 10 Matthew Harmsen 2009-07-07 21:10:36 EDT
32-bit (i386) RPMS, 64-bit (x86_64) RPMS, and SRPMS of "JSS 4.2.6-4" were placed in the FC8, FC9, and FC10 pki.repos on pki.fedoraproject.org.

Additionally, 32-bit (i386) RPMS, 64-bit (x86_64) RPMS, and SRPMS of "NSS 3.12.3.99" were placed in the FC8, FC9, and FC10 pki.repos on pki.fedoraproject.org.

Note You need to log in before you can comment on or make changes to this bug.